## Apache Zeta Components Manual :: Docs For Class ezcPersistentIdentity

### PersistentObject::ezcPersistentIdentity

### Class ezcPersistentIdentity

Struct representing an object identity in ezcPersistentIdentityMap.

Source for this file: /PersistentObject/src/structs/identity.php

    ezcBaseStruct
       |
       --ezcPersistentIdentity

Version: | //autogen//

### Member Variables

public array(string=>ArrayObject(mixed=>ezcPersistentObject))

`$namedRelatedObjectSets`
Named sets of related objects.

Structure:

1. <?php
2. array(
3. '<relatedClassName>'=>ArrayObject(
4. '<setName'=>array(
5. '<id1>'=>ezcPersistentObject ,
6. '<id2>'=>ezcPersistentObject ,
7. // ...
8. ),
9. '<anotherSetName'=>ArrayObject(
10. '<idA>'=>ezcPersistentObject ,
11. '<idB>'=>ezcPersistentObject ,
12. // ...
13. ),
14. ),
15. // ...
16. );
17. ?>

public object | `$object` The object.
public SplObjectStorage(ArrayObject) | `$references` Stores all references to $object in other identities. This attribute stores references to all $relatedObjects and $namedRelatedObjectSets sets, the $object of this identity is referenced in.

public array(string=>ArrayObject(mixed=>ezcPersistentObject))

`$relatedObjects`
Related objects of $object.

Structure:

1. <?php
2. array(
3. '<relatedClassName>'=>ArrayObject(
4. '<id1>'=>ezcPersistentObject ,
5. '<id2>'=>ezcPersistentObject ,
6. // ...
7. ),
8. '<anotherRelatedClassName>'=>ArrayObject(
9. '<idA>'=>ezcPersistentObject ,
10. '<idB>'=>ezcPersistentObject ,
11. // ...
12. ),
13. // ...
14. );
15. ?>

### Method Summary

public ezcPersistentIdentity | `__construct( [ $object = null] , [ $relatedObjects = array()] , [ $namedRelatedObjectSets = array()] , [ $references = null] )` Creates a new object identity.

### Methods

#### __construct

ezcPersistentIdentity __construct( [object $object = null] , [ $relatedObjects = array()] , [ $namedRelatedObjectSets = array()] , [ $references = null] )

Creates a new object identity.

Creates an identity struct for $object with relations to its $relatedObjects and $namedRelatedObjectSets. The $references object is used to keep track of places where the $object is referenced (related object sets of other identities).

##### Parameters:

Name | Type | Description
--- | --- | ---
`$object` | object |
`$relatedObjects` | array |
`$namedRelatedObjectSets` | array |
`$references` | SplObjectStorage |

Documentation generated by phpDocumentor 1.4.3